using System;
using System.Collections.Generic;
using System.Text;

using Screentaker;
using Screentaker.Helper;

namespace stc
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine();
            Console.WriteLine(STSystem.AppTitle + " " + STSystem.AppVersionAd  + " "+ STSystem.AppVersion);
            
            STSystem.Initialize();

            //Argumente auswerten und Vorgnge durchfhren
            ArgumentHandling.Argument[] _Arguments = ArgumentHandling.GetArguments(args);

            foreach(ArgumentHandling.Argument _CurrArg in _Arguments)
            {
                if (_CurrArg.ArgType == ArgumentHandling.ArgTypes.g)
                {
                    ImageGrabbing _ImgGrabber = new ImageGrabbing();

                    if (_CurrArg.ValueExists("cw"))
                    {
                        _ImgGrabber.Grab(ImageGrabbing.GrabType.CurrentWindow);
                    }
                    else if (_CurrArg.ValueExists("fs"))
                    {
                        _ImgGrabber.Grab(ImageGrabbing.GrabType.Full);
                    }
                    else if (_CurrArg.ValueExists("ss"))
                    {
                        _ImgGrabber.Grab(ImageGrabbing.GrabType.Selection);
                    }
                }
            }
 
            
        }
    }
}
